• intrigeri's avatar
    Build & test system on Bullseye and newer: use custom, fake, unversioned python packages · 289cd79b
    intrigeri authored
    The unversioned python packages are not shipped in Bullseye/sid anymore,
    and even old versions are not installable anymore. This makes
    vmdebootstrap and some dependencies of our test suite
    (#15349, #17031) uninstallable.
    
    So, I've uploaded to our custom APT repo some fake unversioned python packages,
    which allow installing a Tails build & test environment on Bullseye/sid.
    
    The control files added by this commit are used to generate these fake packages
    with equivs-build.
    
    While I'm at it, I'm documenting how to install vmdebootstrap on Bullseye
    and newer.
    
    refs #17858
    289cd79b
python-minimal.control 403 Bytes